# IML BACKUP #

Backup scripts using restic (or duplicity).

Runs on Linux: CentOS, Debian, Manjaro, Ubuntu.

* Free software. GNU GPL 3.0
* Source: <https://git-repo.iml.unibe.ch/iml-open-source/iml-backup/>
* Restic: <https://restic.net/>
* Duplicity: <https://duplicity.gitlab.io/duplicity-web/>

# Why #

We rollout our linux systems automatically. We try not to configure third systems
for backup, monitoring and other general services.

* **No central backup server**: We don't want to configure a backup set on a "central backup server" for each new node. Each new node pushes its own backup data to a given backup target.<br><br>
* We want to **push data from a private network** to target; a central backup server would not reach some clients without sattelite systems.<br><br>
* No agent needed.<br><br>
* **Automatic backup of databases**: A set of database backup scripts detects exsiting locally running database services and puts a compressed dump file per database scheme to a local backup directory.<br><br>
* We want to use a **local encryption** of all data to backup.
